From f46809e0c7b8d78f681f17deec7c3bd8b472575a Mon Sep 17 00:00:00 2001
From: xiebin <123456>
Date: Fri, 17 Feb 2023 11:37:08 +0800
Subject: [PATCH] 修改系统切换样式

---
 widgets/FloodAnalysis/css/style.css |  355 ++++++++++++++++++++++++++++++++++++++++++----------------
 1 files changed, 256 insertions(+), 99 deletions(-)

diff --git a/widgets/FloodAnalysis/css/style.css b/widgets/FloodAnalysis/css/style.css
index b5fda1e..e260e50 100644
--- a/widgets/FloodAnalysis/css/style.css
+++ b/widgets/FloodAnalysis/css/style.css
@@ -1,15 +1,15 @@
 .jimu-widget-FloodAnalysis {
-	width: 570px !important;
-	height: 100%;
-	position: fixed !important;
-	left: 30px !important;
-	top: 75px !important;
-	border: 1px solid rgb(69, 154, 251);
-	border-radius: 5px;
-	background: rgba(31, 39, 48, .7);
-	z-index: 41 !important;
-	color: rgb(255, 255, 255);
-	font-size: 22px;
+    width: 38% !important;
+    height: 100%;
+    position: fixed !important;
+    /*left: 30px !important;*/
+    top: 45px !important;
+    border: 1px solid rgb(69, 154, 251);
+    border-radius: 5px;
+    background: rgba(35, 36, 58, .7);
+    z-index: 41 !important;
+    color: rgb(255, 255, 255);
+    font-size: 22px;
 }
 
 .jimu-widget-FloodAnalysis div,
@@ -19,132 +19,289 @@
 .jimu-widget-FloodAnalysis span,
 .jimu-widget-FloodAnalysis input,
 .jimu-widget-FloodAnalysis h2 {
-	margin: 0;
-	padding: 0;
+    margin: 0;
+    padding: 0;
 }
 
-.flood-top{
-	text-align: center;
-	display: inline-flex;
-	margin-left: 32% !important;
+.fold-btn {
+    width: 50px;
+    height: 30px;
+    position: fixed;
+    cursor: pointer;
+    background-color: rgb(39, 118, 172);
+    background-image: url(../images/fold_up.png);
+    border-radius: 5px;
+    opacity: 1;
+    background-position: center;
+    background-repeat: no-repeat;
 }
 
-.flood-middle .select-box{
-	margin: 5% 0 0 25%;
+.open {
+    background-image: url(../images/fold_up.png);
 }
 
-.flood-top input{
-	width: 100px;
-	height: 25px;
-	cursor: pointer;
+.close {
+    background-image: url(../images/fold_down.png);
 }
 
-.flood-top .choose-button{
-	background-color: #1f81e0;
-	border: none;
-	color: white;
+.content{
+    height: 92vh;
 }
 
-.flood-top .unchoose-button{
-	background-color: white;
-	border: none;
-	color: #1f81e0;
+.flood-top {
+    text-align: center;
+    display: inline-flex;
+    margin-left: 35% !important;
 }
 
-.search-button{
-	width: 50px;
-	height: 28px;
-	background-color: white;
-	border: none;
-	cursor: pointer;
+.flood-middle{
+    height: 90%;
 }
 
-.flood-middle .select-box select,.flood-middle .select-box input,.search-name-input{
-	height: 30px;
-	width: 260px;
+.flood-middle .select-box {
+    margin: 1% 0 0 1%;
 }
 
-.flood-middle .radio-box{
-	text-align: center;
-	margin-top: 5%;
+.select-box > div {
+    display: flex;
+    margin-right: 3%;
 }
 
-.flood-middle .tip{
-	font-size: 1px;
-	color: #ff3737;
+.smx{
+    margin-left: 13px !important;
 }
 
-.select-box label{
-	display: inline-block;
-	width: 80px;
-	height: 30px;
-	line-height: 30px;
-	vertical-align: middle;
-	text-align: justify;
-	text-align-last: justify;
+.flood-top input {
+    width: 100px;
+    height: 25px;
+    cursor: pointer;
+}
+
+.flood-top .choose-button {
+    background-color: #1f81e0;
+    border: none;
+    color: white;
+}
+
+.flood-top .unchoose-button {
+    background-color: white;
+    border: none;
+    color: #1f81e0;
+}
+
+.start-analysis-btn {
+    width: 10% !important;
+    height: 29px !important;
+    margin-left: 2% !important;
+    background: white;
+    border: none;
+    background-color: #1f81e0;
+    color: white;
+    cursor: pointer;
+}
+
+.search-button, .save-button {
+    width: 66px;
+    line-height: 0px;
+    height: 30px;
+    background-color: white;
+    border: none;
+    cursor: pointer;
+}
+
+.search-button:hover, .save-button:hover {
+    background-color: #1388ff;
+    color: white;
+}
+
+.flood-middle .select-box select, .flood-middle .select-box input, .search-name-input {
+    height: 30px;
+    width: 260px;
+}
+
+.flood-middle .radio-box {
+    text-align: center;
+    margin-top: -1%;
+}
+
+.flood-middle .tip {
+    font-size: 1px;
+    color: #ff3737;
+}
+
+label {
+    display: inline-block;
+    /*width: 80px;*/
+    height: 30px;
+    line-height: 30px;
+    vertical-align: middle;
+    text-align: justify;
+    text-align-last: justify;
 }
 
 /**表格**/
-.flood-middle .table-box{
-	margin-top: 3%;
+.flood-middle .table-box {
+    margin-top: 1%;
 }
 
-.flood-middle .table-box table{
-	width: 100%;
+.flood-middle .table-box table {
+    width: 100%;
 }
 
 .flood-table-thead tr th {
-	text-align: center;
-	border-top: 1px solid #CFCFCF;
-	border-right: 1px solid #CFCFCF;
-	border-bottom: 1px solid #CFCFCF;
-	color: #ffffff;
-	background: rgb(39, 118, 172);
+    text-align: left;
+    border-top: 1px solid #CFCFCF;
+    border-right: 1px solid #CFCFCF;
+    border-bottom: 1px solid #CFCFCF;
+    color: #ffffff;
+    background: rgb(39, 118, 172);
 }
 
 .flood-tbody tr td {
-	text-align: center;
-	border-right: 1px solid #CFCFCF;
-	border-bottom: 1px solid #CFCFCF;
-	color: #ffffff;
+    text-align: left;
+    border-right: 1px solid #CFCFCF;
+    border-bottom: 1px solid #CFCFCF;
+    color: #ffffff;
+    font-size: 20px;
 }
 
-.flood-history .search-box{
-	text-align: center;
-	margin-top: 2%;
+.flood-history .search-box {
+    margin-top: 1%;
+    margin-left: 1%;
 }
 
 
+/**模糊查询**/
+.hd {
+    position: relative;
+}
+
+.hd input {
+    width: 167px;
+    /* top: 9px; */
+    outline: none;
+    border: 0pt;
+    /* position: absolute; */
+    line-height: 30px;
+    /* left: 8px; */
+    height: 30px;
+    border: 1px solid #999;
+}
+
+.hd select {
+    position: absolute;
+    left: 72px;
+    width: 167px;
+    height: 106px !important;
+    outline: none;
+    border: 1px solid #999;
+    margin-top: 31px;
+}
+
+.hd select option:hover {
+    background: #1388ff;
+    color: white;
+}
 
 
-/*.hd {*/
-/*	position: relative;*/
-/*}*/
+/**分页器**/
+.flood-analysis-pagination {
+    position: relative;
+    text-align: center;
+    zoom: 1;
+    display: flex;
+    width: 92%;
+    justify-content: flex-end;
+}
 
-/*.hd input {*/
-/*	width: 167px;*/
-/*	!* top: 9px; *!*/
-/*	outline: none;*/
-/*	border: 0pt;*/
-/*	!* position: absolute; *!*/
-/*	line-height: 30px;*/
-/*	!* left: 8px; *!*/
-/*	height: 30px;*/
-/*	border: 1px solid #999;*/
-/*}*/
+.flood-analysis-pagination:before,
+.flood-analysis-pagination:after {
+    content: "";
+    display: table;
+}
 
-/*.hd select {*/
-/*	position: absolute;*/
-/*	left: 0;*/
-/*	width: 167px;*/
-/*	height: 106px !important;*/
-/*	margin-left: 86px;*/
-/*	outline: none;*/
-/*	border: 1px solid #999;*/
-/*	margin-top: 31px;*/
-/*}*/
+.flood-analysis-pagination:after {
+    clear: both;
+    overflow: hidden;
+}
 
-/*.hd select option:hover {*/
-/*	background: #1388ff;*/
-/*	color: white;*/
-/*}*/
+.flood-analysis-pagination span {
+    float: left;
+    margin: 0 5px;
+    width: 25px;
+    height: 25px;
+    line-height: 25px;
+    color: #bdbdbd;
+    font-size: 14px;
+}
+
+.flood-analysis-pagination .active {
+    float: left;
+    margin: 3px 5px;
+    width: 25px;
+    height: 25px;
+    line-height: 25px !important;
+    background: #e91e63;
+    color: #fff;
+    font-size: 14px;
+    border: 1px solid #e91e63;
+}
+
+.flood-analysis-pagination a {
+    float: left;
+    margin: 3px 5px;
+    width: 25px;
+    height: 25px;
+    line-height: 25px !important;
+    background: rgb(39, 118, 172);
+    border: 1px solid #ebebeb;
+    color: #ffffff;
+    font-size: 14px;
+}
+
+.flood-analysis-pagination a:hover {
+    color: #fff;
+    background: #e91e63;
+}
+
+.flood-analysis-pagination .next,
+.flood-analysis-pagination .prev {
+    font-family: "Simsun";
+    font-size: 16px;
+    font-weight: bold;
+}
+
+.now,
+.count {
+    padding: 0 5px;
+    color: #f00;
+}
+
+.eg img {
+    max-width: 800px;
+    min-height: 500px;
+}
+
+.flood-analysis-pagination input {
+    float: left;
+    margin: 3px 5px;
+    width: 25px;
+    height: 25px;
+    line-height: 25px !important;
+    text-align: center;
+    background: #fff;
+    border: 1px solid #ebebeb;
+    outline: none;
+    color: #bdbdbd;
+    font-size: 14px;
+}
+
+#analysis-pagination, #history-pagination {
+    /*position: absolute;*/
+    margin-top: 5px;
+    margin-bottom: 5px;
+}
+
+.flood-analysis-pagination .jump-btn {
+    width: 38px !important;
+}

--
Gitblit v1.9.3